Crea una definición de herramienta CSAT
curl --request POST \
--url https://clientapi.woku.app/v1/csat-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Post-Purchase CSAT",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase",
"availableLocales": [
"es",
"en"
],
"defaultLocale": "es",
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
'import requests
url = "https://clientapi.woku.app/v1/csat-tools"
payload = {
"name": "Post-Purchase CSAT",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase",
"availableLocales": ["es", "en"],
"defaultLocale": "es",
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Post-Purchase CSAT',
question: 'How satisfied are you with your purchase?',
subject: 'your purchase',
availableLocales: ['es', 'en'],
defaultLocale: 'es',
localizedContent: [
{
locale: 'en',
question: 'How satisfied are you with your purchase?',
subject: 'your purchase'
}
]
})
};
fetch('https://clientapi.woku.app/v1/csat-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - csat-tools
Crea una definición de herramienta CSAT
POST
/
v1
/
csat-tools
Crea una definición de herramienta CSAT
Autorizaciones
Clave API secreta de la empresa.
Encabezados
Clave generada por el cliente para hacer que la creación sea segura para reintentar. Un reintento con la misma clave devuelve el resultado original en lugar de crear de nuevo.
Cuerpo
application/json
Nombre de la herramienta para identificación.
Maximum string length:
140Ejemplo:
"Post-Purchase CSAT"
Pregunta pública de CSAT mostrada a los encuestados.
Required string length:
3 - 140Ejemplo:
"How satisfied are you with your purchase?"
Variable estática que completa 'how satisfied are you with [caso]?'.
Maximum string length:
140Ejemplo:
"your purchase"
Configuraciones regionales en las que la tool está disponible (subconjunto de es/en).
Ejemplo:
["es", "en"]
Configuración regional predeterminada que se usa cuando no se solicita ninguna.
Opciones disponibles:
es, en Ejemplo:
"es"
Show child attributes
Show child attributes
Respuesta
Herramienta CSAT creada